import 'package:garden_planner/api/garden_api.service.dart';
import 'package:garden_planner/logic/beet.service.dart';
import 'package:garden_planner/logic/beet_row.service.dart';
import 'package:garden_planner/logic/plant.service.dart';
import 'package:garden_planner/repositories/beet.repositories.dart';

import '../mock/mock_http_client.dart';

class BeetRepositoryGenerator {
  static getBeetRepository() {
    return BeetRepository(BeetRowService(), PlantService(),
        GardenApiService(MockHttpClient()), BeetService());
  }
}
